Skip to main content
GET
/
partner
/
public
/
rates
List exchange rates in the branch
curl --request GET \
  --url https://api.example.com/api/v1/partner/public/rates \
  --header 'Authorization: Bearer <token>'
[
  {
    "offerId": 42,
    "currencySource": {
      "id": 1,
      "name": "US Dollar",
      "ticker": "USD",
      "image": {
        "id": "cbcfa8b8-3a25-4adb-a9c6-e325f0d0f3ae",
        "path": "/uploads/usd.png"
      }
    },
    "currencyDest": {
      "id": 1,
      "name": "US Dollar",
      "ticker": "USD",
      "image": {
        "id": "cbcfa8b8-3a25-4adb-a9c6-e325f0d0f3ae",
        "path": "/uploads/usd.png"
      }
    },
    "sale": 41.5,
    "buy": 41.3,
    "exchangeId": 1
  }
]

Authorizations

Authorization
string
header
required

Partner API key. Format: sk_branch_<32chars>, sk_personal_<32chars>, or pk_<32chars> (public, read-only)

Query Parameters

exchangeId
integer

Filter rates by exchange ID

Response

List of exchange rates

offerId
integer
Example:

42

currencySource
object
currencyDest
object
sale
number

Sale rate (exchange sells to client)

Example:

41.5

buy
number

Buy rate (exchange buys from client)

Example:

41.3

exchangeId
integer
Example:

1